/*
	splicer_globals.h
*/
#include "splicer_defs.h"

ReportFile	        report;
AffineFile	affine;
DataFile	**data;
Smooth		smooth;
Cull		cull;
AffineTable     affinetable;
StratFile	**strat,outstrat;
SplicerTableFile	splicertable;
OpenFileInfo            openfileinfo;
ErrRecord       errrecord;
TimeSeries      timeseries;
char    *open_data_directory;
char	*outdata_filename;
char	*outdata_dirname;
char	*outspdata_filename;
char	*outspdata_dirname;
char    *default_strat_dirname;
char    *outagemodel_filename;
char    *outagemodel_dirname;
char    *inagemodel_filename;
char    *inagemodel_dirname;
char    *outsplicetoage_filename;
char    *outsplicetoage_dirname;
char    *report_filename;
char    *report_dirname;
char 	color[NCOLOR][50];
char    cust_color[NCOLOR][50];
char    tempcolor[NCOLOR][50];
CorrelationTable  corr;
SpliceComp        spcomp;
StratData         agemodel[MAXAGE];

char	*defaults_filename;
int	decimate_value=1;
int	data_file_cnt=0;
int	strat_file_cnt=0;
int	hash_num=0;
char	*current_path;
char    *preview_input_path;
XtWorkProcId	work_id;
Cursor          io_wait_cursor;

EquationMenuData	equationMenuCull1,
			equationMenuCull2;
MessageInfo	message;

int	splicer_read_done=False,splicer_table_done=False;
int	sptable_cnt=0;
int	done_reading=False,done_cull=False,done_smooth=False,done_decimate=False,
	done_affine=False;
int	datafileopen=False;
int	stratfileopen=False;

char	*charptr;
char	buffer[1000];
